using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsEquipmentCodeType {
        public FmsEquipmentCodeType() {
            FmsEquipment = new HashSet<FmsEquipment>();
        }

        [Display(Name = "고유번호"), Key]
        public int EquipmentTypeId { get; set; }
        [Display(Name = "유형명칭"), Required]
        [StringLength(24)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool IsUse { get; set; }
        [Display(Name = "설명")]
        [StringLength(255)]
        public string Description { get; set; }

        [InverseProperty("FmsEquipmentCodeType")]
        public virtual ICollection<FmsEquipment> FmsEquipment { get; set; }
    }
}
